# Abstracts Abstracts ## Creates a new abstract record that does not already exist. - [POST /abstracts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/createabstract.md): This method will auto-generate an ID and create a new abstract. If an ID is specified for the abstract, an error will be thrown. ## Execute Batch Operations - [POST /abstracts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Bulk update abstract statuses - [POST /abstracts/{tenantId}/breakoutSessions](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/breakoutsessions.md): Allows for bulk update of abstract statuses ## Calculations for the reviews for an abstract - [POST /abstracts/{tenantId}/calculateScore/{abstractId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/calculatescore.md): Return the set of totals and calculations for an abstract based on the reviews and grouped by the rounds ## Returns a list of records with the specified co_author_id - [GET /abstracts/{tenantId}/coAuthor/{co_author_contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbycoauthorid.md): Returns a list of records with the specified co_author_id ## End user abstract confirmation form submission endpoint - [POST /abstracts/{tenantId}/confirm/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/confirmabstract.md): Allows a portal user to submit an abstract confirmation-approval form with additional information ## Returns a list of records with the specified event_contact_id - [GET /abstracts/{tenantId}/eventContact/{eventId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbyeventcontactid.md): Returns a list of records with the specified event_contact_id ## Returns a list of records with the specified event_presenter_id - [GET /abstracts/{tenantId}/eventPresenter/{eventId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbyeventpresenterid.md): Returns a list of records with the specified event_presenter_id ## Get CoAuthor info for Abstracts - [GET /abstracts/{tenantId}/getCoAuthorInfo/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/getcoauthorinfo.md): Get CoAuthor info for Abstracts ## Sends out a preview of the CRC notification email - [POST /abstracts/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/previewemail.md): Sends out a preview of the CRC notification email ## Resends the confirmation email for an abstract submission - [GET /abstracts/{tenantId}/resendConfirmationEmail/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/resendconfirmationemail.md): Resends the confirmation email for an abstract submission ## Returns a list of records with the specified review_process_id - [GET /abstracts/{tenantId}/reviewProcess/{review_process_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbyreviewprocessid.md): Returns a list of records with the specified review_process_id ## Returns a list of records with the specified review_round_id - [POST /abstracts/{tenantId}/reviewRound/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbyreviewroundid.md): Returns a list of records with the specified review_round_id ## Searches for abstracts using predefined parameters - [POST /abstracts/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/searchforabstracts.md): Searches for abstracts using predefined parameters ## Process a Status Change Request - [PUT /abstracts/{tenantId}/status/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/processstatuschange.md): Updates the status and sends out the appropriate email ## Submit an abstract - [POST /abstracts/{tenantId}/submit](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/submitabstracts.md) ## Returns a list of records with the specified submitter_id - [GET /abstracts/{tenantId}/submitter/{submitter_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbysubmitterid.md): Returns a list of records with the specified submitter_id ## Returns a list of records with the specified type_id - [GET /abstracts/{tenantId}/type/{type_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbytypeid.md): Returns a list of records with the specified type_id ## Bulk update abstract statuses - [POST /abstracts/{tenantId}/updateStatus/{status}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/updateabstractstatuses.md): Allows for bulk update of abstract statuses ## Returns a abstract from the system by its ID. - [DELETE /abstracts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/deleteabstract.md): This method will delete a abstract with the specified ID. ## Returns a abstract from the system by its ID. - [GET /abstracts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/getabstract.md): This method will look up a abstract by the specified ID and return it back. ## Partially updates a abstract with the specified ID. - [PATCH /abstracts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/patchabstract.md): This method will patch an existing abstract with the specified ID, using the HTTP PATCH specification. ## Updates a abstract with the specified ID. - [PUT /abstracts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/updateabstract.md): This method will update an existing abstract with the specified ID.